<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.UnsupportedFileFormatException (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.UnsupportedFileFormatException (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../org/apache/poi/UnsupportedFileFormatException.html" title="class in org.apache.poi">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/class-use/UnsupportedFileFormatException.html" target="_top">Frames</a>
        </li>
        <li><a href="UnsupportedFileFormatException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.UnsupportedFileFormatException" class="title">Uses of Class<br>org.apache.poi.UnsupportedFileFormatException
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                        title="class in org.apache.poi">UnsupportedFileFormatException</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi">org.apache.poi</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.exceptions">org.apache.poi.hslf.exceptions</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf">org.apache.poi.hssf</a></td>
                    <td class="colLast">
                        <div class="block">Horrible SpreadSheet Format API's for reading/writting Excel files using pure
                            Java.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf">org.apache.poi.hwpf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.openxml4j.exceptions">org.apache.poi.openxml4j.exceptions</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.filesystem">org.apache.poi.poifs.filesystem</a>
                    </td>
                    <td class="colLast">
                        <div class="block">filesystem package maps OLE 2 Compound document files to a more familiar
                            filesystem interface.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf">org.apache.poi.xssf</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                   title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                            href="../../../../org/apache/poi/package-summary.html">org.apache.poi</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                                href="../../../../org/apache/poi/package-summary.html">org.apache.poi</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../org/apache/poi/OldFileFormatException.html"
                                    title="class in org.apache.poi">OldFileFormatException</a></span></code>
                                <div class="block">Base class of all the exceptions that POI throws in the event
                                    that it's given a file that's older than currently supported.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.exceptions">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                   title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                            href="../../../../org/apache/poi/hslf/exceptions/package-summary.html">org.apache.poi.hslf.exceptions</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                                href="../../../../org/apache/poi/hslf/exceptions/package-summary.html">org.apache.poi.hslf.exceptions</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../org/apache/poi/hslf/exceptions/OldPowerPointFormatException.html"
                                    title="class in org.apache.poi.hslf.exceptions">OldPowerPointFormatException</a></span></code>
                                <div class="block">This exception is thrown when we try to open a PowerPoint file, and
                                    it's too old for us.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                   title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                            href="../../../../org/apache/poi/hssf/package-summary.html">org.apache.poi.hssf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                                href="../../../../org/apache/poi/hssf/package-summary.html">org.apache.poi.hssf</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../org/apache/poi/hssf/OldExcelFormatException.html"
                                    title="class in org.apache.poi.hssf">OldExcelFormatException</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                   title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                            href="../../../../org/apache/poi/hwpf/package-summary.html">org.apache.poi.hwpf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                                href="../../../../org/apache/poi/hwpf/package-summary.html">org.apache.poi.hwpf</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../org/apache/poi/hwpf/OldWordFileFormatException.html"
                                    title="class in org.apache.poi.hwpf">OldWordFileFormatException</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.openxml4j.exceptions">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                   title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                            href="../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                                href="../../../../org/apache/poi/openxml4j/exceptions/package-summary.html">org.apache.poi.openxml4j.exceptions</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../org/apache/poi/openxml4j/exceptions/NotOfficeXmlFileException.html"
                                    title="class in org.apache.poi.openxml4j.exceptions">NotOfficeXmlFileException</a></span></code>
                                <div class="block">This exception is thrown when we try to open a file that doesn't
                                    seem to actually be an OOXML (Office Open XML) file after all
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../org/apache/poi/openxml4j/exceptions/ODFNotOfficeXmlFileException.html"
                                    title="class in org.apache.poi.openxml4j.exceptions">ODFNotOfficeXmlFileException</a></span></code>
                                <div class="block">This exception is thrown when we are given an ODF-based file
                                    (eg OpenOffice .ods) instead of an actually OOXML (Office Open XML) file
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../org/apache/poi/openxml4j/exceptions/OLE2NotOfficeXmlFileException.html"
                                    title="class in org.apache.poi.openxml4j.exceptions">OLE2NotOfficeXmlFileException</a></span></code>
                                <div class="block">This exception is thrown when we are given an OLE2-based file
                                    (eg Excel .xls) instead of an actually OOXML (Office Open XML) file
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.poifs.filesystem">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                   title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                            href="../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                                href="../../../../org/apache/poi/poifs/filesystem/package-summary.html">org.apache.poi.poifs.filesystem</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../org/apache/poi/poifs/filesystem/OfficeXmlFileException.html"
                                    title="class in org.apache.poi.poifs.filesystem">OfficeXmlFileException</a></span></code>
                                <div class="block">This exception is thrown when we try to open a file that's actually
                                    an Office 2007+ XML file, rather than an OLE2 file (which is what
                                    POIFS works with)
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                   title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                            href="../../../../org/apache/poi/xssf/package-summary.html">org.apache.poi.xssf</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../org/apache/poi/UnsupportedFileFormatException.html"
                                title="class in org.apache.poi">UnsupportedFileFormatException</a> in <a
                                href="../../../../org/apache/poi/xssf/package-summary.html">org.apache.poi.xssf</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../org/apache/poi/xssf/XLSBUnsupportedException.html"
                                    title="class in org.apache.poi.xssf">XLSBUnsupportedException</a></span></code>
                                <div class="block">We don't support .xlsb for read and write via <a
                                        href="../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel"><code>XSSFWorkbook</code></a>.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../org/apache/poi/UnsupportedFileFormatException.html" title="class in org.apache.poi">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/class-use/UnsupportedFileFormatException.html" target="_top">Frames</a>
        </li>
        <li><a href="UnsupportedFileFormatException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
